insert.olink.page.number
Prev | Linking | Next

## Name

insert.olink.page.number — Turns page numbers in olinks on and off

## Synopsis

    <xsl:param name="insert.olink.page.number">no</xsl:param>

## Description

The value of this parameter determines if cross references made between documents with `olink` will include page number citations. In most cases this is only applicable to references in printed output.

The parameter has three possible values.

no

  No page number references will be generated for olinks.

yes

  Page number references will be generated for all `olink` references. The style of page reference may be changed if an `xrefstyle` attribute is used.

maybe

  Page number references will not be generated for an `olink` element unless it has an `xrefstyle` attribute whose value specifies a page reference.

Olinks that point to targets within the same document are treated as `xref`s, and controlled by the `insert.xref.page.number` parameter.

Page number references for olinks to external documents can only be inserted if the information exists in the olink database. This means each olink target element (`div` or `obj`) must have a `page` attribute whose value is its page number in the target document. The XSL stylesheets are not able to extract that information during processing because pages have not yet been created in XSLT transformation. Only the XSL-FO processor knows what page each element is placed on. Therefore some postprocessing must take place to populate page numbers in the olink database.

Prev | Up | Next
olink.lang.fallback.sequence | Home | insert.olink.pdf.frag